<template>
  <div>
    <PostComponent
      v-for="post of posts"
      :key="posts.indexOf(post)"
      :post="post"
    />
    <div class="bottom-spacing"></div>

  </div>
</template>

<script>
export default {
  data() {},
  async asyncData({app, $services, $links}){
    var i18n = app.i18n
    return {
          posts: [
            {
              thread: true,
              header: {
                avatar: require("~/assets/images/arbitrageurs-view/avatar-dev.svg"),
              },
              layers: [
                {
                  type: "image",
                  image: require("~/assets/images/developers-view/developers-card.svg"),
                },
                {type: 'table-links', links: [
                  {text: i18n.t("Developers")}
                ]},
                {type:'text', text: [
                  i18n.t('Identify your areas of interest by exploring the developer community.')
                ]}
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("Protocol Developers"),
                avatar: require("~/assets/images/home-page/avatar-thorchain.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('THORChain core protocol developers have a deep understanding of the many facets of the protocol, which includes THORNodes, Dev Ops, Bifröst, MIDGARD, TSS, THORfi and the Economic Design of the network.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("GitLab"), link: $links('developers_gitlab')},
                  {text: i18n.t("THORNodes"), link: $links('slash_node_operators')},
                  {text: i18n.t("THORfi"), link: $links('slash_thorfi')},
                  {text: i18n.t("TSS"), link: $links('slash_technology')},
                  {text: i18n.t("Developer Discord"), link: $links('developers_discord')}
                ]},
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("Ecosystem Developers"),
                avatar: require("~/assets/images/home-page/avatar-molecule.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('Ecosystem developers typically write dApps like dashboards, explorers, wallets, interfaces -- but also enrich libraries and hunt for bug bounties to help secure the network.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Integration Overview"), link: $links('developers_thorchain_docs_integration_overview')},
                  {text: i18n.t("Connecting to THORChain"), link: $links('developers_thorchain_docs_connecting_to_thorchain')},
                  {text: i18n.t("Transaction Memos"), link: $links('developers_thorchain_docs_transaction_memos')},
                  {text: i18n.t("Libraries"), link: $links('developers_thorchain_docs_libraries')},
                  {text: i18n.t("Seed Service"), link: $links('developers_thorchain_docs_seed_service')},
                  {text: i18n.t("Ecosystem"), link: $links('slash_ecosystem')},
                  {text: i18n.t("Developer Discord"), link: $links('developers_discord')}
                ]},
              ]
            },
            {
              thread: true,
              header: {
                text: i18n.t("Chain Client Developers"),
                avatar: require("~/assets/images/developers-view/avatar-block.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('Chain clients are maintained by the community. The network currently supports BTC, ETH, LTC, BNB, BCH.')
                ]},
                {
                  type: "image",
                  image: require("~/assets/images/thornames-view/supported-card.svg"),
                },
                {type: 'table-links', links: [
                  {text: i18n.t("Chain Clients Overview"), link: $links('developers_thorchain_docs_chain_clients_overview')},
                  {text: i18n.t("UTXO Chains"), link: $links('developers_thorchain_docs_utxo_chains')},
                  {text: i18n.t("EVM Chains"), link: $links('developers_thorchain_docs_evm_chains')},
                  {text: i18n.t("BFT Chains"), link: $links('developers_thorchain_docs_bft_chains')},
                  {text: i18n.t("Propose a Chain"), link: $links('developers_propose_chain_discord')},
                  {text: i18n.t("Developer Discord"), link: $links('developers_discord')},
                  {text: i18n.t("Community Chain Chats ↴")},
                  {text: i18n.t("Arbitrum"), link: $links('developers_arbitrum_discord')},
                  {text: i18n.t("Avalanche"), link: $links('developers_avalanche_discord')},
                  {text: i18n.t("Binance Smart Chain"), link: $links('developers_binance_smart_chain_chain_discord')},
                  {text: i18n.t("Dash"), link: $links('developers_dash_discord')},
                  {text: i18n.t("Decred"), link: $links('developers_decred_discord')},
                  {text: i18n.t("Doge Coin"), link: $links('developers_doge_coin_discord')},
                  {text: i18n.t("Firo"), link: $links('developers_firo_discord')},
                  {text: i18n.t("Haven"), link: $links('developers_haven_discord')},
                  {text: i18n.t("IBC Chains"), link: $links('developers_ibc_chains_discord')},
                  {text: i18n.t("Matic"), link: $links('developers_matic_discord')},
                  {text: i18n.t("Monero"), link: $links('developers_monero_discord')},
                  {text: i18n.t("Rootstock Sovryn"), link: $links('developers_sovryn_discord')},
                  {text: i18n.t("Solana"), link: $links('developers_solana_discord')},
                  {text: i18n.t("Polkadot"), link: $links('developers_polkadot_discord')},
                  {text: i18n.t("Zcash"), link: $links('developers_zcash_discord')},
                  {text: i18n.t("Zilliqa"), link: $links('developers_zilliqa_discord')},
                ]},
              ]
            },
            {
              thread: false,
              header: {
                text: i18n.t("Need Funding?"),
                avatar: require("~/assets/images/home-page/avatar-thorchain.svg"),
              },
              layers: [
                {type:'text', text: [
                  i18n.t('Join the THORChain dev community and show off your work. Maybe you\'ll catch the attention of someone, and be offered a grant to keep writing code for the community.')
                ]},
                {type: 'table-links', links: [
                  {text: i18n.t("Project Funding"), link: $links('slash_project_funding')}
                ]},
              ]
            },
          ]
    }
  }
}
</script>
<style>
.bottom-spacing{
  height: 5rem;
}
</style>
